<?php
/*
 * author: totoloco at gmail dot com
 *
 * web: http://www.ushcompu.com.ar/
 *
 * License: Sisterware
 *
 * Date: 20090330
 * 
 * Purpose: Math Ascii Challenge, as an option to image captcha
 *
 * Uses: phpFiglet, phpFiglet is licensed under GPL, please see phpfiglet_class.php
 *
 */
require_once ('phpfiglet_class.php');

class TryMath {
  private $num1;
  private $num2;
  private $op;
  private $formula;
  private $figlet;
  private $fonts = array ('doom', 'fuzzy', 'standard', 'avatar', 'alphabet','bell', 'big', 'banner3');
  private $font;

  public function __construct () {
    $this -> figlet = new phpFiglet ();
    $this -> font = $this -> fonts[rand(0, count ($this -> fonts) - 1)];
    $this -> figlet -> loadFont (dirname(__FILE__).'/fonts/' . $this -> font . '.flf');

    $op = mt_rand (0, 3);
    switch ($op) {
      case 0:
        $sign = '+';
        $num1 = mt_rand (0, 99);
        $num2 = mt_rand (0, 99);
        $result = $num1 + $num2;
        break;
      case 1:
        $sign = '-';
        $num1 = mt_rand (0, 99);
        $num2 = mt_rand (0, 99);
        if ($num2 > $num1) {
          $aux = $num2;
          $num2 = $num1;
          $num1 = $aux;
        }
        $result = $num1 - $num2;
        break;
      case 2:
        $sign = '*';
        $num1 = mt_rand (0, 9);
        $num2 = mt_rand (0, 9);
        $result = $num1 * $num2;
        break;
      case 3:
        $sign = '/';
        $num2 = mt_rand (1, 9);
        $result = mt_rand (1, 9);
        $num1 = $num2 * $result;
        break;
    }
    $this -> op = $op;
    $this -> num1 = $num1;
    $this -> num2 = $num2;
    $this -> result = $result;
    $this -> formula = $num1 . $sign . $num2;
  }
  public function getResult  () { return $this -> result; }
  public function getFormula () { return $this -> formula; }
  public function fetch () {
    return $this -> figlet -> fetch ($this -> formula);
  }
}
?>
